### Method

# EBookContacts Contact get_const

#### Declaration [src]

    gconstpointer
    e_contact_get_const (
      EContact* contact,
      EContactField field_id
    )

#### Description [src]

Gets the value of `contact`‘s field specified by `field_id`, caching the result so it can be freed later. Use `e_contact_field_is_string()` to check whether the field can be used here.

#### Parameters

`field_id`

  Type: `EContactField`

  An `EContactField`.

#### Return value

Type: `gconstpointer`

Depends on the field’s type, owned by the `EContact`.

The returned data is owned by the instance.
The return value can be `NULL`.